Subject: Re: [PATCH] Documentation: Update information about <format> in git-for-each-ref

From: Jakub Narebski <[email-masked]>
Date: Sat, 28 Oct 2006 23:23:57 +0200

Junio C Hamano wrote:
> [PATCH] for-each-ref: epoch and epochdate
> 
> This adds "epoch" (which is parallel to "tagger" or "committer")
> and "epochdate" (corresponds to "taggerdate" and
> "committerdate").
> 
> As other "date" fields, "epochdate" sorts numerically
> and displays human readably

I was thinking about having only "epochdate" (corresponding to either 
"taggerdate" or "committerdate"), only named "epoch". There is I think 
no need for field which would be "tagger" or "committer", and 
especially not named "epoch" ;-).

Otherwise looks fine, thanks a lot.

BTW. I had to translate
+       if (strcmp(who, "tagger") && strcmp(who, "committer"))
to
+       if (strcmp(who, "tagger") == 0 || strcmp(who, "committer") == 0)
to understand it. But this is probably my lack of contact with such
C idioms.
-- 
Jakub Narebski